package edu.byuh.cis.jarnaby;

import android.view.animation.AccelerateInterpolator;
import android.view.animation.Animation;
import android.view.animation.TranslateAnimation;

/** Animations Class that is used to animate the screen slides **/
public class Animations extends Animation {
		
	//slide in from right
	public static Animation inFromRightAnimation() {
		Animation inFromRight = translateAnimation(+1.0f, 0.0f, 0.0f, 0.0f);
		return inFromRight;
	}
	
	//slide out to left
	public static Animation outToLeftAnimation() {
		Animation outtoLeft = translateAnimation(0.0f, -1.0f, 0.0f, 0.0f);
		return outtoLeft;
	}    
	
	//slide in from left
	public static Animation inFromLeftAnimation() {
		Animation inFromLeft = translateAnimation(-1.0f, 0.0f, 0.0f, 0.0f);
		return inFromLeft;
	}
	
	//slide out from right
	public static Animation outToRightAnimation() {
		Animation outtoRight = translateAnimation(0.0f, +1.0f, 0.0f, 0.0f);
		return outtoRight;
	}
	
	//slide in from top
	public static Animation inFromTopAnimation() {
		Animation inFromTop = translateAnimation(0.0f, 0.0f, -1.0f, 0.0f);
		return inFromTop;
	}
	
	//slide out to bottom
	public static Animation outToBottomAnimation() {
		Animation outToBottom = translateAnimation(0.0f, 0.0f, 0.0f, +1.0f);
		return outToBottom;
	}
	
	//slide in from bottom
	public static Animation inFromBottomAnimation() {
		Animation inFromBottom = translateAnimation(0.0f, 0.0f, +1.0f, 0.0f);
		return inFromBottom;
	}
	
	//slide out to top
	public static Animation outToTopAnimation() {
		Animation outToTop = translateAnimation(0.0f, 0.0f, 0.0f, -1.0f);
		return outToTop;
	}
	
	/**
	 * translateAnimation method that make transition to the slide
	 * @param fromXValue... original x value
	 * @param toXValue 	...	destination of x value
	 * @param fromYValue... original y value
	 * @param toYValue	... destination of y value 
	 */
	public static Animation translateAnimation(float fromXValue, float toXValue, float fromYValue, float toYValue) {
		Animation animation = new TranslateAnimation(
				Animation.RELATIVE_TO_PARENT, fromXValue, Animation.RELATIVE_TO_PARENT, toXValue,
				Animation.RELATIVE_TO_PARENT, fromYValue, Animation.RELATIVE_TO_PARENT, toYValue
		);
		animation.setDuration(350);
		animation.setInterpolator(new AccelerateInterpolator());
		return animation;
	}
}
