package edu.byuh.cis.jarnaby;

import java.util.ArrayList;
import android.content.Context;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Rect;
import android.widget.RelativeLayout;

/**
 * Canvas class which is responsible for each page and also map page
 */
public class Canvas extends RelativeLayout {

	//lines to draw for map page
	private static ArrayList<Rect> lines;
	//paint object
	private static Paint paint;
	
	//constructor
	public Canvas(Context main) {
		super(main);
		lines = new ArrayList<Rect>();
		paint = new Paint();
		//set black color for line
		paint.setColor(Color.BLACK);
	}

	/**
	 * @param r ... which consists four integers
	 * r.left   ... from x value
	 * r.top    ... from y value
	 * r.right  ... to x value
	 * r.bottom ... to y value
	 */
	public void addLines(Rect r) {
		lines.add(r);		
		Main.clean(r);
	}
	
	public void resetLines() {
		lines.clear();
	}
	
	/**
	 * on draw method
	 */
	@Override
	protected void onDraw(android.graphics.Canvas canvas) {
		super.onDraw(canvas);
		//if it is map page, then draw lines
		if (Main.getAerialSwitch()){
			for( Rect r: lines ) {
				canvas.drawLine(r.left, r.top, r.right, r.bottom, paint);
			}
		}
	}
}
