package edu.byuh.cis.jarnaby;

/** Config Class which configures the path of resources */
public class Config {
	public static final int X_RESN = 320;
	public static final int Y_RESN = 480;
	public static final int thumbnailWidth = 180;
	public static final int thumbnailHeight = 180;
	public static final String storyPrefix = "lrrh";
	public static Orientation orientation = Orientation.PORTRAIT;
	
	/**
	 * getStoryPath
	 * @return absolute path where story is stored
	 */
	public static String getStoryPath() {
		return "stories/" + storyPrefix + "/";
	}
	
	/**
	 * getImagePath
	 * @return relative path to image directory from the story directory
	 */
	public static String getImagePath() {
		return getStoryPath() + "images/";
	}
	
	/**
	 * getAudioPath
	 * @return relative path to audio directory from the story directory
	 */
	public static String getAudioPath() {
		return getStoryPath() + "audio/";
	}
	
	/**
	 * set orientation
	 */
	public enum Orientation {
		PORTRAIT,
		LANDSCAPE
	}

}
