package edu.byuh.cis.jarnaby;

import java.io.File;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.os.Environment;
import android.os.Handler;
import android.util.Log;

public class Splash extends Activity {

	private final int SPLASH_DISPLAY_LENGHT = 1000;

	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle bundle) {
		super.onCreate(bundle);
		setContentView(R.layout.splash);
		
		File storyFolder = new File(Environment.getExternalStorageDirectory() + "/Jarnaby/stories");

//		File storyFolder = new File("/sdcard/Jarnaby/stories");
		storyFolder.mkdirs();
		
		final String[] stories;
		stories = storyFolder.list();
		
		/* New Handler to start the Menu-Activity 
		 * and close this Splash-Screen after some seconds.*/
		new Handler().postDelayed(new Runnable(){
			@Override
			public void run() {
				/* Create an Intent that will start the Menu-Activity. */
				Intent mainIntent;
				if(stories.length == 0){
					mainIntent = new Intent(Splash.this,Main.class);
					Log.d("SPLASHEY", "---------No stories found-------");
				}
				else{
					mainIntent = new Intent(Splash.this,StoryList.class);
					Log.d("SPLASHEY", "Found: ("+ stories.length +") stories-------");
				}
				Splash.this.startActivity(mainIntent);
				Splash.this.finish();
			}
		}, SPLASH_DISPLAY_LENGHT);
	}
}